Skip to main content
GET
/
streams
List streams
curl --request GET \
  --url https://api.tenbyte.io/v1/livestream/streams \
  --header 'Authorization: Bearer <token>'
{
  "success": true,
  "message": "<string>",
  "data": [
    {
      "id": "<string>",
      "organization_id": "<string>",
      "name": "<string>",
      "region": "<string>",
      "ingest": {
        "kind": "<string>",
        "protocols": [
          "<string>"
        ]
      },
      "output_protocols": [
        "<string>"
      ],
      "last_live_at": "2023-11-07T05:31:56Z",
      "last_ended_at": "2023-11-07T05:31:56Z",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z"
    }
  ],
  "meta": {
    "pagination": {
      "page": 1,
      "per_page": 10,
      "total": 1,
      "total_pages": 1
    }
  }
}

Authorizations

Authorization
string
header
required

RSA-signed JWT token

Query Parameters

page
integer
default:1

Page number (1-based). Values below 1 fall back to 1.

Required range: x >= 1
per_page
integer
default:10

Items per page. Capped at 100; values below 1 fall back to 10.

Required range: 1 <= x <= 100
order
enum<string>
default:desc

Sort direction by creation time. Unknown values fall back to desc.

Available options:
asc,
desc

Response

Stream list

success
boolean
Example:

true

message
string
data
object[]
meta
object